/// <reference types="node" />
/// <reference types="node" />
import EventEmitter from 'events';
import { IReadStream } from '../model';
export declare function writeStream(filePath: string): {
    write: (data: any) => Promise<any>;
    end: () => import("fs").WriteStream;
};
export declare function readStream({ filePath, bulkSize, callback, }: IReadStream): {
    emitter: EventEmitter;
    reader: () => Promise<void>;
};
export declare const countLines: (filePath: any) => Promise<number>;
