export interface IEmitter {
    emit: (v: any) => void;
    throw: (e: any) => void;
    [Symbol.asyncIterator]: () => {
        next: () => Promise<{
            value: any;
            done: boolean;
        }>;
        throw: (e: any) => void;
    };
}
export declare function createEmitter(): {
    emit: (v: any) => void;
    throw: any;
    [Symbol.asyncIterator]: () => {
        next: () => Promise<{
            value: any;
            done: boolean;
        }>;
        throw: any;
    };
};
